{% extends "base.html" %}


{% block content %}
{% for m in message %}
	{{ m }}
{%endfor%}
<form method = post>
<div class="container nowrap">
	<table class="table table-striped">
		<thead>
			<tr>
				<th>
					Q#				
				</th>

				<th>
					Your selection
				</th>
				{% if disable %}
					<th>
						Answer key
					</th>
				{% endif %}

			</tr>
		</thead>

		<tbody>
			{% for field, crrct, answer, omit, gvbck in zipped %}
			<tr>
				<th>
					{{ loop.index }}
				</th>

				<th>
					{% for choice in field %}
						<div class="form-check-inline" >
							{% if disable or omit %}
								{{  choice(class_="form-check-input", disabled = True) }}
							{% else %}
								{{  choice(class_="form-check-input") }}
							{% endif %}		
						</div> 
					{% endfor %}
				</th>

				{% if (not crrct and disable) or omit %}
					<th>
						{{ answer }}
					</th> 
				{% endif %}
				
				<th>
					{% if omit %}
						{{ "omit" }}
					{% endif %}
					{% if gvbck %}
						{{ "give back" }}
					{% endif %}
				</th> 
			</tr>
			{% endfor %}
		</tbody>
	</table>



	{% if disable %}
	<p><strong>Score: {{ info.point }} / {{ info.total }}</strong></p>
	{% else %}
	<input id="submit" name="submit" type="submit" value="Save"><br>
	{% endif %}	

	<br>
	<a href="{{ url_for('index') }}">Back to course page</a>
	<br>
	<br>
	<a href="{{ url_for('logout') }}">Logout</a>

</div>
</form>


{% endblock %}
